<div [hidden]="!showSpinner">
    <app-spinner></app-spinner>
</div>
<div id="loans-mobile-create">
    <div class="mobile-main-header">
        <div class="header-navigate pull-left">
            <a (click)="navigateToLanding()"><i class="navigate-back fa fa-chevron-left"></i></a>
        </div>
        <div class="header-title"><h5 style="padding-right:12px">CREATE NEW LOAN</h5></div>
        <div class="header-step-navigation"><small>STEP {{ currentStep }} of 4</small></div>
    </div>
    <br />
    <div class="row">
        <div class="col-sm-12"> 
            <section *ngIf="isStep1" [@slideIn] id="customer-section">
        
                <div class="mobile-form-line" style="border:1px solid #ced4da;display:flex">
                    <ng-template #rt let-r="result" let-t="term">
                    <div (click)="selectCustomer(r.Id, r.Type)">{{ r.Name }}</div>
                    </ng-template> 
                    <input id="customer-search" class="mobile-form-control" type="text" 
                        [ngbTypeahead]="search" [resultTemplate]="rt" [inputFormatter]="formatter" 
                        placeholder="Type to search..." #customerSearch />
                    <span class="form-label-symbol" style="line-height: 20px;vertical-align: middle;border-left: 1px solid #ced4da;">
                        <span class="fa fa-search"></span>
                    </span>
                </div>

                
                <br /><br />
                <div class="row">
                    <div class="col-lg-8 mx-auto">
                            <div class="control-group">
                                <div class="form-group floating-label-form-group controls mb-0 pb-2">
                                    <div class="mobile-form-line">
                                        <span [hidden]="model.Customer.Company === ''" class="form-span-label">Company</span>
                                        <input id="Company" #Company="ngModel" type="text" class="mobile-form-control" [(ngModel)]="model.Customer.Company" placeholder="Company" required="required" data-validation-required-message="Please enter your company." />
                                    </div>
                                </div>
                            </div>
                            <div class="control-group">
                                <div class="form-group floating-label-form-group controls mb-0 pb-2">
                                    <div class="mobile-form-line">
                                        <span [hidden]="model.Customer.Name === ''" class="form-span-label">Name</span>
                                        <input id="Name" #Name="ngModel" type="text" class="mobile-form-control" [(ngModel)]="model.Customer.Name" placeholder="Name" required="required" data-validation-required-message="Please enter your name." />
                                    </div>
                                    
                                </div>
                            </div>
                            <div class="control-group">
                                <div class="form-group floating-label-form-group controls mb-0 pb-2">
                                    <div class="mobile-form-line">
                                        <span [hidden]="model.Customer.Address1 === ''" class="form-span-label">Address</span>
                                        <input id="Address1" #Address1="ngModel" type="text" class="mobile-form-control" [(ngModel)]="model.Customer.Address1" placeholder="Address 1" required="required" data-validation-required-message="Please enter your address." />
                                    </div>
                                </div>
                            </div>
                            <div class="control-group">
                                <div class="form-group floating-label-form-group controls mb-0 pb-2">
                                    <div class="mobile-form-line">
                                        <span [hidden]="model.Customer.City === ''" class="form-span-label">City</span>
                                        <input id="City" #City="ngModel" type="text" class="mobile-form-control" [(ngModel)]="model.Customer.City" placeholder="City" />
                                    </div>
                                    
                                </div>
                            </div>
                            <div class="control-group">
                                <div class="form-group floating-label-form-group controls mb-0 pb-2">
                                    <div class="mobile-form-line">
                                        <span [hidden]="model.Customer.ZipCode === ''" class="form-span-label">Postal Code</span>
                                        <input id="ZipCode" #ZipCode="ngModel" type="text" class="mobile-form-control" [(ngModel)]="model.Customer.ZipCode" placeholder="Postal Code" />
                                    </div>
                                    
                                </div>
                            </div>
                            <div class="control-group">
                                <div class="form-group floating-label-form-group controls mb-0 pb-2">
                                    <div class="mobile-form-line">
                                        <span [hidden]="model.Customer.Email === ''" class="form-span-label">Email</span>
                                        <input id="Email" #Email="ngModel" type="text" class="mobile-form-control" [(ngModel)]="model.Customer.Email" placeholder="Email" />
                                    </div>
                                    
                                </div>
                            </div>
                            <div class="control-group">
                                <div class="form-group floating-label-form-group controls mb-0 pb-2">
                                    <div class="mobile-form-line">
                                        <span [hidden]="model.Customer.MobileNumber === ''" class="form-span-label">Mobile #</span>
                                        <input id="MobileNumber" #MobileNumber="ngModel" type="text" class="mobile-form-control" [(ngModel)]="model.Customer.MobileNumber" placeholder="Mobile #" />
                                    </div>
                                    
                                </div>
                            </div>
                        </div>
                        <div class="mobile-list-footer btn-primary">
                            <button type="button" (click)="navigateToStep(2)" class="btn btn-md btn-primary col-sm-12">
                                <i class="fa fa-arrow-right"></i> Next
                            </button>
                        </div>
                </div>
            </section>
            <section *ngIf="isStep2" [@slideIn]  id="loan-section">
                <div class="row">
                    <div class="col-lg-8 mx-auto">
                        <div class="control-group">
                            <div [hidden]="true" class="floating-label-form-group controls code-header">
                                <label class="mobile-loan-id">{{ model.LoanId }}</label>
                            </div>
                        </div>
                        <div class="control-group">
                            <div class="form-group floating-label-form-group controls mb-0 pb-2">
                                <div class="mobile-form-line">
                                    <span [hidden]="model.SiteId === 0" class="form-span-label">Object</span>
                                    <select id="SiteId" #SiteId="ngModel" [(ngModel)]="model.SiteId" class="mobile-form-control">
                                    <option value="0">Select Object</option>
                                    <option *ngFor="let item of sitesList" [value]="item.Id" [ngValue]="item.Id">
                                        {{ item.Name }}
                                    </option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="control-group">
                            <div class="form-group floating-label-form-group controls mb-0 pb-2">
                                <div class="mobile-form-line">
                                    <span [hidden]="model.TypeId === 0" class="form-span-label">Loan Type</span>
                                    <select id="TypeId" #TypeId="ngModel" [(ngModel)]="model.TypeId" class="mobile-form-control">
                                        <option value="0">Select Loan Type</option>
                                            <option *ngFor="let item of loanTypesList" [value]="item.Id" [ngValue]="item.Id">
                                            {{ item.Name }}
                                        </option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="control-group">
                            <div class="form-group floating-label-form-group controls mb-0 pb-2">
                                <div class="mobile-form-line">
                                    <span [hidden]="model.ItemNameId === ''" class="form-span-label">Item Name / Id</span>
                                    <input id="ItemNameId" #ItemNameId="ngModel" [(ngModel)]="model.ItemNameId" type="text" placeholder="Item Name / Id" class="mobile-form-control">
                                </div>
                               
                            </div>
                        </div>
                        <div class="control-group">
                            <div class="form-group floating-label-form-group controls mb-0 pb-2">
                                <div class="mobile-form-line">
                                    <span [hidden]="!loanedDate" class="form-span-label">Start Loan Date</span>
                                    <input #l="ngbDatepicker" ngbDatepicker [(ngModel)]="loanedDate" type="text" 
                                    placeholder="Loan Date" class="mobile-form-control datetimepicker" (click)="l.toggle()">
                                </div>
                                
                            </div>
                        </div>
                        <div class="control-group">
                            <div class="form-group floating-label-form-group controls mb-0 pb-2">
                                 <div class="mobile-form-line">
                                    <span [hidden]="!returnedDate" class="form-span-label">Return Loan Date</span>
                                    <input #r="ngbDatepicker" ngbDatepicker [(ngModel)]="returnedDate" type="text" 
                                    placeholder="Return Date" class="mobile-form-control datetimepicker" (click)="r.toggle()">
                                </div>
                            </div>
                        </div>
                        <div class="control-group">
                            <div class="form-group floating-label-form-group controls mb-0 pb-2">
                                <div class="mobile-form-line">
                                    <span [hidden]="model.GivenBy === ''" class="form-span-label">Given By</span>
                                     <input id="GivenBy" #GivenBy="ngModel" [(ngModel)]="model.GivenBy" type="text" placeholder="Given By" class="mobile-form-control">
                                </div>
                            </div>
                        </div> 
                        <div class="control-group">
                            <div class="form-group floating-label-form-group controls mb-0 pb-2">
                                <div class="mobile-form-line">
                                    <span [hidden]="model.ReceivedBy === ''" class="form-span-label">Received By</span>
                                    <input id="ReceivedBy" #ReceivedBy="ngModel" type="text" [(ngModel)]="model.ReceivedBy" placeholder="Received By" class="mobile-form-control">
                                </div>

                            </div>
                        </div>
                        <div class="control-group">
                            <div class="form-group floating-label-form-group controls mb-0 pb-2">
                                <div class="mobile-form-line">
                                    <span [hidden]="model.Description === ''"  class="form-span-label">Description</span>
                                    <textarea id="Description" #Description="ngModel" [(ngModel)]="model.Description" placeholder="Description" class="mobile-form-control" style="height:50px"></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="mobile-list-footer btn-primary">
                         <div class="btn-group">
                             <button type="button" (click)="navigateToStep(1)" class="btn btn-md mobile-btn-secondary left-btn">
                                <i class="fa fa-arrow-left"></i> Prev
                            </button>
                            <button type="button" (click)="navigateToStep(3)" class="btn btn-md btn-primary right-btn">
                                <i class="fa fa-arrow-right"></i> Next
                            </button>
                        </div>
                    </div>
                </div>
            </section>
            <section *ngIf="isStep3" [@slideIn] id="snapshot-section">
                <div class="row">
                    <div class="col-lg-8 mx-auto">
                        <div class="control-group">
                            <div class="form-group floating-label-form-group controls mb-0">
                                <div *ngIf="photoSrc" class="form-float img-thumbnail" style="text-align:center">
                                    <img src="{{ photoSrc }}" class="img-fluid img-rounded img-thumbnail" style="width: 150px;" #imagePreview />
                                </div>
                                <br />
                                <input [hidden]="true" type="file" accept="image/*" id="mobile-upload" (change)="fileChange($event)" capture="camera" class="inputfile" />
                                <label for="mobile-upload" style="width:100%;height: 45px;">
                                    <span style="width:45%!important">{{ fileName }}</span>
                                    <strong style="width:55%!important">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="20" height="17" viewBox="0 0 20 17">
                                            <path d="M10 0l-5.2 4.9h3.3v5.1h3.8v-5.1h3.3l-5.2-4.9zm9.3 11.5l-3.2-2.1h-2l3.4 2.6h-3.5c-.1 0-.2.1-.2.1l-.8 2.3h-6l-.8-2.2c-.1-.1-.1-.2-.2-.2h-3.6l3.4-2.6h-2l-3.2 2.1c-.4.3-.7 1-.6 1.5l.6 3.1c.1.5.7.9 1.2.9h16.3c.6 0 1.1-.4 1.3-.9l.6-3.1c.1-.5-.2-1.2-.7-1.5z"></path>
                                        </svg>
                                            Choose a file …
                                    </strong>
                                </label>     
                            </div>
                        </div>
                    </div>
                    <div class="mobile-list-footer btn-primary">
                        <div class="btn-group">
                            <button type="button" (click)="navigateToStep(2)" class="btn btn-md mobile-btn-secondary left-btn">
                            <i class="fa fa-arrow-left"></i> Prev
                        </button>
                        <button type="button" (click)="navigateToStep(4)" class="btn btn-md btn-primary right-btn">
                            <i class="fa fa-arrow-right"></i> Next
                        </button>
                    </div>
                </div>
                </div>
            </section>
             <section *ngIf="isStep4" [@slideIn]  id="event-section">
                <div class="row">
                    <div class="col-lg-8 mx-auto">
                        <div class="control-group">
                            <div class="form-group floating-label-form-group controls mb-0 pb-2">
                                  <div class="mobile-form-line">
                                        <span class="form-span-label">Confirmation Process</span>
                                        <input name="confirmation-process" type="radio" class="with-gap" id="radio-email" value=1 [checked]="model.MessageTypeId === 1" /> &nbsp;&nbsp;
                                        <span>Send via Email</span> &nbsp;&nbsp;
                                        <input name="confirmation-process" [disabled]="true" type="radio" class="with-gap" id="radio-sms" value=2 [checked]="model.MessageTypeId === 2" /> &nbsp;&nbsp;
                                        <span>Send via SMS</span>
                                    </div>
                            </div>
                        </div> 
                    </div> 
                    <div class="mobile-list-footer btn-primary">
                        <div class="btn-group">
                            <button type="button" (click)="navigateToStep(3)" class="btn btn-md mobile-btn-secondary left-btn">
                                <i class="fa fa-arrow-left"></i> Prev
                            </button>
                            <button type="button" (click)="saveChanges()" class="btn btn-md btn-primary right-btn">
                                <i class="fa fa fa-floppy-o"></i> Save
                            </button>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    </div>
</div>

